import { ServiceResponse } from '../response/response.interface'

export interface IAgentServerService {
  listStaffs(): Promise<ServiceResponse<StaffsType[]>>
  getStaffProfile(staff_id: string): Promise<ServiceResponse<StaffProfile>>
  getUserProfile(user_id: string): Promise<ServiceResponse<UserProfile>>
  listUsers(
    user_name: string,
    user_union_id: string
  ): Promise<ServiceResponse<UserProfile[]>>
  getDialogueHistory(
    staff_id: string,
    user_id: string,
    recent_minutes: string
  ): Promise<ServiceResponse<DialogueHistory[]>>
  listModels(): Promise<ServiceResponse<Model[]>>
  listScenes(): Promise<ServiceResponse<any[]>>
  getBasePrompt(): Promise<ServiceResponse<string>>
  runPrompt(prompt: any): Promise<ServiceResponse<any>>
}
